PipeWire 1.4.10

Loading...
Searching...
No Matches
timer-queue.h File Reference
Implementation API » Timer Queue

pipewire/timer-queue.h More...

Go to the source code of this file.

## Data Structures
struct | pw_timer

## Typedefs
typedef void(* | pw_timer_callback) (void *data)

## Functions
struct pw_timer_queue * | pw_timer_queue_new (struct pw_loop *loop)
void | pw_timer_queue_destroy (struct pw_timer_queue *queue)
int | pw_timer_queue_add (struct pw_timer_queue *queue, struct pw_timer *timer, struct timespec *abs_time, int64_t timeout_ns, pw_timer_callback callback, void *data)
int | pw_timer_queue_cancel (struct pw_timer *timer)

## Detailed Description

pipewire/timer-queue.h